#Persistent
#SingleInstance, force
SendMode Input              ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir% ; Ensures a consistent starting directory.

;*************************************************
version = 1  ; Change this to suit you.          
;*************************************************

readini()                       ; load values from the ini file, via the readini function - see Midi_under_the_hood.ahk file
gosub, MidiPortRefresh          ; used to refresh the input and output port lists - see Midi_under_the_hood.ahk file
port_test(numports,numports2)   ; test the ports - check for valid ports? - see Midi_under_the_hood.ahk file
gosub, midiin_go                ; opens the midi input port listening routine see Midi_under_the_hood.ahk file
gosub, midiout                  ; opens the midi out port see Midi_under_the_hood.ahk file  
;gosub, midiMon                  ; see below - a monitor gui - see Midi_In_and_GuiMonitor.ahk

;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! end edit here 

;*************************************************
;*         VARIBLES TO SET @ STARTUP
;*************************************************

;cc_msg = 73,74 ; ++++++++++++++++ you might want to add other vars that load in auto execute section

return ; !!!! no edit here, need this line to end the auto exec section.

;*************************************************
;*          END OF AUTOEXEC SECTION
;*************************************************

;*************************************************
;*              INCLUDE FILES -
;*  these files need to be in the same folder
;*************************************************
; include files below - you need each of these files in the same folder as this file for this to work.
/* 
#Include Midi_In_and_GuiMonitor.ahk ; this file contains: the function to parse midi message into parts we can work with and a midi monitor.
#Include MidiRulesEdit.ahk              ; this file contains: Rules for manipulating midi input then sending modified midi output.
#Include Midi_under_the_hood.ahk    ; this file contains: (DO NOT EDIT THIS FILE) all the dialogs to set up midi ports and midi message handling.
